#include "operator/operator.pmh"

namespace fe
{

void DrawTestOp::handle(Record& a_rSignal)
{
//	feLog("DrawTestOp::handle\n");

	sp<DrawI> spDrawI=drawI(a_rSignal);
	if(!spDrawI.isValid())
	{
		feLog("DrawTestOp::handle DrawI invalid\n");
		return;
	}

	for(Real angle=0.0f;angle<2.0f*fe::pi;angle+=0.2f*fe::pi)
	{
		SpatialVector point(cosf(angle),sinf(angle));

		spDrawI->drawPoints(&point,NULL,1,false,NULL);

		SpatialVector line[2];
		line[0]=0.3*point;
		line[1]=0.7*point;

		spDrawI->drawLines(line,NULL,2,DrawI::e_discrete,false,NULL);
	}
}

} // namespace
